GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Signals | Public Member Functions | Protected Member Functions | Private Slots | Private Attributes | List of all members
GpgFrontend::UI::ProxyConnectionTestTask Class Reference
Inheritance diagram for GpgFrontend::UI::ProxyConnectionTestTask:
Collaboration diagram for GpgFrontend::UI::ProxyConnectionTestTask:

## Signals
void | SignalProxyConnectionTestResult (const QString &result)
Signals inherited from GpgFrontend::Thread::Task
void | SignalTaskRunnableEnd (int rtn)
| announce runnable finished
void | SignalTaskEnd ()
| runnable and callabck all finished

## Public Member Functions
| ProxyConnectionTestTask (QString url, int timeout)
| Construct a new Proxy Connection Test Thread object. More...
Public Member Functions inherited from GpgFrontend::Thread::Task
| Task (std::string name=DEFAULT_TASK_NAME)
| Construct a new Task object.
| Task (TaskRunnable runnable, std::string name=DEFAULT_TASK_NAME, DataObjectPtr data_object=nullptr, bool sequency=true)
| Construct a new Task object. More...
| Task (TaskRunnable runnable, std::string name, DataObjectPtr data, TaskCallback callback=[](int, const std::shared_ptr< DataObject > &) {}, bool sequency=true)
| Construct a new Task object. More...
virtual | ~Task () override
| Destroy the Task object.
virtual void | Run ()
| Run - run the task.
std::string | GetUUID () const
std::string | GetFullID () const
bool | GetSequency () const

## Protected Member Functions
void | run () override
Protected Member Functions inherited from GpgFrontend::Thread::Task
void | SetFinishAfterRun (bool finish_after_run)
| Set the Finish After Run object. More...
void | SetRTN (int rtn)

## Private Slots
void | slot_process_network_reply (QNetworkReply *reply)

## Private Attributes
QString | url_
QString | result_
int | timeout_ = 500
QNetworkAccessManager * | network_manager_

## Additional Inherited Members
Public Types inherited from GpgFrontend::Thread::Task
using | DataObjectPtr = std::shared_ptr< DataObject >
using | TaskRunnable = std::function< int(DataObjectPtr)>
using | TaskCallback = std::function< void(int, DataObjectPtr)>
Public Slots inherited from GpgFrontend::Thread::Task
void | SlotRun ()
Static Public Attributes inherited from GpgFrontend::Thread::Task
static const std::string | DEFAULT_TASK_NAME = "default-task"

## Constructor & Destructor Documentation

## ◆ ProxyConnectionTestTask()

GpgFrontend::UI::ProxyConnectionTestTask::ProxyConnectionTestTask | ( | QString | url,
|  | int | timeout
| ) |  |
| explicit

Construct a new Proxy Connection Test Thread object.

Parameters

  url |
  timeout |
  parent | Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

The source code version of this software was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com eric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

## Member Function Documentation

## ◆ SignalProxyConnectionTestResult

void GpgFrontend::UI::ProxyConnectionTestTask::SignalProxyConnectionTestResult | ( | const QString & | result | ) |
| signal

Parameters

  result |

The documentation for this class was generated from the following files:

- src/ui/thread/ProxyConnectionTestTask.h
- src/ui/thread/ProxyConnectionTestTask.cpp